Bug 829464 - policycoreutils-python (specifically /usr/bin/sandbox) requires policycoreutils-sandbox
policycoreutils-python (specifically /usr/bin/sandbox) requires policycoreuti...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 16:42 EDT by Matěj Cepl
Modified: 2012-10-16 13:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 13:28:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-06-06 16:42:03 EDT
Description of problem:
wycliff:~ $ sandbox -X evince downey08semaphores.pdf 
WARNING: Policy would be downgraded from version 27 to 26.
/usr/bin/sandbox: 
/usr/sbin/seunshare is required for the action you want to perform.

wycliff:~ $ rpm -qf /usr/bin/sandbox
policycoreutils-python-2.1.11-18.el7.x86_64

Actual results:
Cannot run sandbox

Expected results:
All required dependencies should be installed

Additional info:
Comment 1 Daniel Walsh 2012-06-07 12:04:40 EDT
Well this is debatable.  The problem here is sandbox can be users on a server without X.  If I get this to fully work, I need to suck in X.  I could eliminate the -X Option from sandbox for this situation but that is not a great solution either.

Note You need to log in before you can comment on or make changes to this bug.